Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_Thru_Task<> Class Template Reference

Standard module that acts as a "no op", simply passing on all data to its adjacent neighbor. More...

`#include <Stream_Modules.h>`

Inheritance diagram for ACE_Thru_Task<>:

[legend]
Collaboration diagram for ACE_Thru_Task<>:

[legend]
List of all members.

## Public Methods
| ACE_Thru_Task (void)
| Construction.
| ~ACE_Thru_Task (void)
| Destruction.
virtual int | open (void *a=0)
virtual int | close (u_long flags=0)
virtual int | put (ACE_Message_Block *msg, ACE_Time_Value *=0)
virtual int | svc (void)
| Run by a daemon thread to handle deferred processing.
virtual int | init (int argc, ACE_TCHAR *argv[])
| Initializes object when dynamic linking occurs.
virtual int | info (ACE_TCHAR **info_string, size_t length) const
| Returns information on a service object.
virtual int | fini (void)
| Terminates object when dynamic unlinking occurs.
void | dump (void) const
| Dump the state of an object.
## Public Attributes
| ACE_ALLOC_HOOK_DECLARE
| Declare the dynamic allocation hooks.

## Detailed Description

### template<ACE_SYNCH_DECL>
class ACE_Thru_Task<>

Standard module that acts as a "no op", simply passing on all data to its adjacent neighbor.

## Constructor & Destructor Documentation

template<ACE_SYNCH_DECL >
ACE_Thru_Task<>::ACE_Thru_Task | ( | void |  | ) |

| Construction.

template<ACE_SYNCH_DECL >
ACE_Thru_Task<>::~ACE_Thru_Task | ( | void |  | ) |

| Destruction.

## Member Function Documentation

template<ACE_SYNCH_DECL >
int ACE_Thru_Task<>::close | ( | u_long | flags = 0 | ) | `[virtual]`

| Hook called from <ACE_Thread_Exit> when during thread exit and from the default implementation of <module_closed>. In general, this method shouldn't be called directly by an application, particularly if the <Task> is running as an Active Object. Instead, a special message should be passed into the <Task> via the <put> method defined below, and the <svc> method should interpret this as a flag to shut down the <Task>. Reimplemented from ACE_Task_Base.

template<ACE_SYNCH_DECL >
void ACE_Thru_Task<>::dump | ( | void |  | ) | const

| Dump the state of an object. Reimplemented from ACE_Task< ACE_SYNCH_USE >.

template<ACE_SYNCH_DECL >
int ACE_Thru_Task<>::fini | ( | void |  | ) | `[virtual]`

| Terminates object when dynamic unlinking occurs. Reimplemented from ACE_Shared_Object.

template<ACE_SYNCH_DECL >
int ACE_Thru_Task<>::info | ( | ACE_TCHAR ** | info_string,
|  | size_t | length
| ) | const`[virtual]`

| Returns information on a service object. Reimplemented from ACE_Shared_Object.

template<ACE_SYNCH_DECL >
int ACE_Thru_Task<>::init | ( | int | argc,
|  | ACE_TCHAR * | argv[]
| ) | `[virtual]`

| Initializes object when dynamic linking occurs. Reimplemented from ACE_Shared_Object.

template<ACE_SYNCH_DECL >
int ACE_Thru_Task<>::open | ( | void * | a = 0 | ) | `[virtual]`

| Hook called to open a Task. <args> can be used to pass arbitrary information into <open>. Reimplemented from ACE_Task_Base.

template<ACE_SYNCH_DECL >
int ACE_Thru_Task<>::put | ( | ACE_Message_Block * | msg,
|  | ACE_Time_Value * | = 0
| ) | `[virtual]`

| A hook method that can be used to pass a message to a task, where it can be processed immediately or queued for subsequent processing in the <svc> hook method. Reimplemented from ACE_Task_Base.

template<ACE_SYNCH_DECL >
int ACE_Thru_Task<>::svc | ( | void |  | ) | `[virtual]`

| Run by a daemon thread to handle deferred processing. Reimplemented from ACE_Task_Base.

## Member Data Documentation

template<ACE_SYNCH_DECL >
ACE_Thru_Task<>::ACE_ALLOC_HOOK_DECLARE

| Declare the dynamic allocation hooks. Reimplemented from ACE_Task< ACE_SYNCH_USE >.

The documentation for this class was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Stream_Modules.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Stream_Modules.cpp